Main Page Widgets Namespaces Book

# Pango::Fontset Class Reference

A Pango::Fontset is used to represent a set of fonts. More...

Inheritance diagram for Pango::Fontset:

[legend]
List of all members.

## Public Methods
virtual | ~Fontset ()
PangoFontset* | gobj ()
| Provides access to the underlying C GObject.
const PangoFontset* | gobj () const
| Provides access to the underlying C GObject.
PangoFontset* | gobj_copy ()
Glib::RefPtr<Font> | get_font (guint wc) const
| Returns the font in the fontset that contains the best glyph for the unicode character wc.
FontMetrics | get_metrics () const
| Get overall metric information for the fonts in the fontset.
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr<Pango::Fontset> | wrap (PangoFontset* object, bool take_copy=false)

## Detailed Description

A Pango::Fontset is used to represent a set of fonts.

## Constructor & Destructor Documentation

virtual Pango::Fontset::~Fontset | ( |  | ) | `[virtual]`

## Member Function Documentation

Glib::RefPtr<Font> Pango::Fontset::get_font | ( | guint | wc | ) | const

  | Returns the font in the fontset that contains the best glyph for the unicode character wc. Parameters:
  wc | A unicode character.
Returns: A Pango::Font. The caller must call g_object_unref when finished with the font.

FontMetrics Pango::Fontset::get_metrics | ( |  | ) |

| Get overall metric information for the fonts in the fontset. Returns: A Pango::Metrics object. The caller must call pango_font_metrics_unref() when finished using the object.

const PangoFontset* Pango::Fontset::gobj | ( |  | ) | const`[inline]`

| Provides access to the underlying C GObject. Reimplemented from Glib::ObjectBase.

PangoFontset* Pango::Fontset::gobj | ( |  | ) | `[inline]`

| Provides access to the underlying C GObject. Reimplemented from Glib::ObjectBase.

PangoFontset* Pango::Fontset::gobj_copy | ( |  | ) |

## Friends And Related Function Documentation

Glib::RefPtr<Pango::Fontset> wrap | ( | PangoFontset* | object,
|  | bool | take_copy = false
| ) | `[related]`

The documentation for this class was generated from the following file:

- fontset.h